uniform sampler2D Sampler;

uniform	float2 	texel_size;									// set automatically by gfx engine

float4 main(float4 position : TEXCOORD0, float2 vertpos : VPOS) : COLOR0
{
	const float3 desat = {0.3f, 0.59f, 0.11f};
	
	float4 outcol;
	float4 nowcol;

	nowcol	= tex2D(Sampler, float2(position.x, position.y));
	
	outcol.rgb = lerp(nowcol, dot(desat, nowcol), 0.95f);
	outcol.a = nowcol.a;
	
    return outcol;
}